#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 z-dns-z-dns-internal
version:              4.0.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.0.1-2iQbL0cxgl2EIt30Tjp0XW-dns-internal
key:                  dns-4.0.1-2iQbL0cxgl2EIt30Tjp0XW-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  bec50acc53df5a0b37b8cfee47c1cd8f
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-2iQbL0cxgl2EIt30Tjp0XW-dns-internal
depends:
    array-0.5.4.0 async-2.2.4-70qwKLxomDG7uuvcVfCGq2
    attoparsec-0.14.4-R00hSHCjmo7OsW0dxMCO2
    auto-update-0.1.6-1YMDL06V5NuF6KZxCxGGSb base-4.15.1.0
    base16-bytestring-1.0.2.0-L4j4Tjhz2WH6oOCVbuSJzs
    base64-bytestring-1.2.1.0-8Wzp1ohAM5521xZ4S2eRk5
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6t1O7psLMh7IeVK47IhUa0
    hourglass-0.2.12-KZMnLs97TPJGtFguSn9QcF
    iproute-1.7.12-LWM3LkKyFljGL8o9B3tylQ mtl-2.2.2
    network-3.1.2.7-3MnWjnNhABh27tP7sbt8Ba
    psqueues-0.2.7.3-AJp27GlJe5AHSdQlWuaQi9

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dns
version:              4.0.1
visibility:           public
id:                   dns-4.0.1-6qhghvlAptgKtpbnV0xfLv
key:                  dns-4.0.1-6qhghvlAptgKtpbnV0xfLv
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  395aea215e6d6cdc4ea13a24d72f14c9
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dns-4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.0.1-6qhghvlAptgKtpbnV0xfLv
depends:
    array-0.5.4.0 async-2.2.4-70qwKLxomDG7uuvcVfCGq2
    attoparsec-0.14.4-R00hSHCjmo7OsW0dxMCO2
    auto-update-0.1.6-1YMDL06V5NuF6KZxCxGGSb base-4.15.1.0
    base16-bytestring-1.0.2.0-L4j4Tjhz2WH6oOCVbuSJzs
    base64-bytestring-1.2.1.0-8Wzp1ohAM5521xZ4S2eRk5
    bytestring-0.10.12.1 containers-0.6.4.1
    cryptonite-0.30-6t1O7psLMh7IeVK47IhUa0
    dns-4.0.1-2iQbL0cxgl2EIt30Tjp0XW-dns-internal
    hourglass-0.2.12-KZMnLs97TPJGtFguSn9QcF
    iproute-1.7.12-LWM3LkKyFljGL8o9B3tylQ mtl-2.2.2
    network-3.1.2.7-3MnWjnNhABh27tP7sbt8Ba
    psqueues-0.2.7.3-AJp27GlJe5AHSdQlWuaQi9

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

